> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.dintero.com/feedback

```json
{
  "path": "/api-reference/v2-fund-transfers/initiate-fund-transfer",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Initiate fund transfer

> You can use the endpoint to programmatically initiate a fund transfer
between two sellers

Requests for fund transfers are processed asynchronously so in the response,
we only inform you that we received your request. You'll get the result in
the settlement report




## OpenAPI

````yaml /mintlify-docs/openapi/spec-payments.yaml post /v2/accounts/{aid}/payout/fund-transfers
openapi: 3.0.0
info:
  title: Payments API
  contact:
    name: API Integration Support
    email: integration@dintero.com
  description: >
    Public endpoints for payments, including checkout, payout and settlement
    reports.
  version: LATEST
  license:
    name: UNLICENSED
    url: https://dintero.com
  x-logo:
    url: https://docs.dintero.com/img/dintero-dark-padded.svg
    altText: Dintero Logo
servers:
  - url: https://checkout.dintero.com/v1
security:
  - apikey: []
tags:
  - name: Transactions
    x-displayName: Transactions
    description: |
      View and perform operations on transactions
  - name: session
    x-displayName: Sessions
    description: |
      A Checkout Session relates to an order in your system.
      When an order has been placed you create a corresponding Checkout Session
      to receive payment for that order.
  - name: payment
    x-displayName: Payment
    description: |
      Resources used by the customer aka user to complete the payment of a
      session.
  - name: settlements
    x-displayName: Settlement reports
    description: Get settlement reports generated per payout
  - name: settlements.configuration
    x-displayName: Configuration
    description: Configure settlement reports
  - name: reports
    x-displayName: Reports
    description: List the generated monthly transaction reports
  - name: example-session-callbacks
    x-displayName: Callback
    description: |
      Example of recieved callbacks from Dintero's servers.
  - name: fund-transfers
    x-displayName: Fund Transfer
    description: Transfer funds between sellers
  - name: Sellers
    x-displayName: Sellers
    description: Manage the signup of a new Seller / Merchant account
  - name: example-session-callbacks
    x-displayName: Example Callbacks
    description: Example of callbacks delivered
  - name: v2-fund-transfers
    x-displayName: Fund Transfer
    description: Transfer funds between sellers
  - name: v2-config-payout-destinations
    x-displayName: Sellers
    description: Get payout data for sellers
paths:
  /v2/accounts/{aid}/payout/fund-transfers:
    post:
      tags:
        - v2-fund-transfers
      summary: Initiate fund transfer
      description: >
        You can use the endpoint to programmatically initiate a fund transfer

        between two sellers


        Requests for fund transfers are processed asynchronously so in the
        response,

        we only inform you that we received your request. You'll get the result
        in

        the settlement report
      operationId: v2_aid_payout_fund_transfers_post
      parameters:
        - $ref: '#/components/parameters/accountId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FundTransferCreateDataV2'
        description: Initiate fund transfer data
        required: true
      responses:
        '200':
          description: Transfer fund initiated
          content:
            application/json:
              schema:
                type: object
                properties:
                  fund_transfer:
                    $ref: '#/components/schemas/FundTransferV2'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '403':
          $ref: '#/components/responses/Forbidden'
        '500':
          $ref: '#/components/responses/ServerError'
      servers:
        - url: https://api.dintero.com/
components:
  parameters:
    accountId:
      name: aid
      description: |
        An id that uniquely identifies the account.
      in: path
      required: true
      schema:
        type: string
        format: ^[PT]{1}\d{8}$
        minLength: 9
        maxLength: 9
  schemas:
    FundTransferCreateDataV2:
      type: object
      required:
        - fund_transfer_id
        - type
        - source_payout_destination_id
        - destination_payout_destination_id
        - amount
        - currency
        - reference
      properties:
        fund_transfer_id:
          type: string
          description: >
            A string id that uniquely identifies the fund transfer. The `id` is
            used

            for idempotent processing so you can safely retry the request with
            same

            id if you don't receive a response (for example, in case of a
            timeout)
        type:
          type: string
          enum:
            - payout-destination
        source_payout_destination_id:
          type: string
        destination_payout_destination_id:
          type: string
        amount:
          type: integer
          minimum: 1
          description: The amount of the fund transfer in the smallest unit of the currency
        currency:
          type: string
        reference:
          type: string
          maxLength: 60
          description: >
            A static reference that will be included on settlements made to the
            sellers
    FundTransferV2:
      description: |
        This object contains the result from initiating a transfer fund
      allOf:
        - $ref: '#/components/schemas/FundTransferCreateDataV2'
        - required:
            - account_id
            - created_at
            - created_by
          properties:
            account_id:
              type: string
            created_at:
              type: string
              format: date-time
              description: The date-time when the resource was created
              readOnly: true
            created_by:
              type: string
              description: User id of the user who created the resource
              readOnly: true
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
          properties:
            code:
              type: string
              description: The code used to identify the error/warning
            errors:
              type: array
              description: The nested error(s) encountered during validation
              items:
                type: object
            message:
              type: string
              description: The human readable description of the error/warning
  responses:
    BadRequest:
      description: Bad / Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    AccessForbidden:
      description: Access forbidden, invalid JWT token was used
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ServerError:
      description: Unexpected Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    apikey:
      type: apiKey
      in: header
      description: |
        X-API-Key authentication for accessing regular endpoints. Use
        [Create api-key](#operation/admin_api_keys_post) to create a key.

        The content of the header should look like the following:

            x-api-key: {api_key}
      name: x-api-key

````